cURL
curl --request POST \
--url https://us.infisical.com/api/v1/cert-manager/ca/internal/{caId}/sign-intermediate \
--header 'Content-Type: application/json' \
--data '
{
"csr": "<string>",
"notAfter": "<string>",
"notBefore": "<string>",
"maxPathLength": -1
}
'import requests
url = "https://us.infisical.com/api/v1/cert-manager/ca/internal/{caId}/sign-intermediate"
payload = {
"csr": "<string>",
"notAfter": "<string>",
"notBefore": "<string>",
"maxPathLength": -1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
csr: '<string>',
notAfter: '<string>',
notBefore: '<string>',
maxPathLength: -1
})
};
fetch('https://us.infisical.com/api/v1/cert-manager/ca/internal/{caId}/sign-intermediate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"certificate": "<string>",
"certificateChain": "<string>",
"issuingCaCertificate": "<string>",
"serialNumber": "<string>"
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Installation
Sign intermediate certificate
Create intermediate CA certificate from parent CA
POST
/
api
/
v1
/
cert-manager
/
ca
/
internal
/
{caId}
/
sign-intermediate
cURL
Path Parameters
The ID of the CA to sign the intermediate certificate with.
Body
application/json
The pem-encoded CSR to sign with the CA.
Minimum string length:
1The date and time when the intermediate CA expires in YYYY-MM-DDTHH:mm:ss.sssZ format.
The date and time when the intermediate CA becomes valid in YYYY-MM-DDTHH:mm:ss.sssZ format.
The maximum number of intermediate CAs that may follow this CA in the certificate / CA chain. A maxPathLength of -1 implies no path limit on the chain.
Required range:
x >= -1Response
Default Response
Was this page helpful?
⌘I